---
title: element-available
slug: Web/XPath/Functions/element-available
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>element-available</code> function determines if an element is available and returns true or false.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">element-available(<em>QName</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>QName</em></code></dt>
 <dd>Must evaluate to a valid QName. The QName is expanded into an expanded-name using the namespace declarations in scope for the expression.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>Returns true if and only if the expanded-name is the name of an instruction. If the expanded-name has a namespace URI equal to the XSLT namespace URI, then it refers to an element defined by XSLT. Otherwise, it refers to an extension element. If the expanded-name has a null namespace URI, the element-available function will return false.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-element-available">XSLT 1.0 15</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
